In this article:
URI Parameters
Request Body
Responses
Examples
Definitions
Create a Streaming Locator
PUT https://{{api-endpoint}}/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Media/mediaServices/{accountName}/streamingLocators/{streamingLocatorName}?api-version={{api-version}}URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
accountName |
path | True | string | The Media Services account name. |
resourceGroupName |
path | True | string | The name of the resource group within the Azure subscription. |
subscriptionId |
path | True | string | The unique identifier for a Microsoft Azure subscription. |
streamingLocatorName |
path | True | string | The Streaming Locator name. |
api-version |
query | True | string |
The version of the API to be used with the client request. Required for compatibility; any value accepted; no effect. |
Request Body
| Name | Required | Type | Description |
|---|---|---|---|
| properties.assetName | True | string | Asset Name |
|
properties.streaming PolicyName |
True | string |
Name of the Streaming Policy used by this Streaming Locator. Either specify the name of a Streaming Policy you created or use one of the predefined Streaming Policies:
|
|
properties.alternative MediaId |
string | Alternative Media ID of this Streaming Locator. | |
| properties.contentKeys | The ContentKeys used by this Streaming Locator. | ||
|
properties.default ContentKeyPolicyName |
string | Name of the default ContentKeyPolicy used by this Streaming Locator. | |
| properties.endTime | string | The end time of the Streaming Locator. | |
| properties.filters | string | A list of asset or account filters which apply to this Streaming Locator. | |
| properties.startTime | string | The start time of the Streaming Locator. | |
|
properties.streaming LocatorId |
string | The StreamingLocatorId of the Streaming Locator. |
Responses
| Name | Type | Description |
|---|---|---|
| 201 Created | StreamingLocator | Created |
| Other Status Codes | ErrorResponse | Detailed error information. |
Examples
| Creates a Streaming Locator with clear streaming |
| Creates a Streaming Locator with secure streaming |
| Creates a Streaming Locator with user defined content keys |
Creates a Streaming Locator with clear streaming
Sample request
PUT https://{{api-endpoint}}/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contosorg/providers/Microsoft.Media/mediaServices/contosomedia/streamingLocators/UserCreatedClearStreamingLocator?api-version={{api-version}}
{
"properties": {
"streamingPolicyName": "clearStreamingPolicy",
"assetName": "ClimbingMountRainier"
}
}Sample response
Status code: 201
{
"name": "UserCreatedClearStreamingLocator",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contosorg/providers/Microsoft.Media/mediaservices/contosomedia/streamingLocators/UserCreatedClearStreamingLocator",
"type": "Microsoft.Media/mediaservices/streamingLocators",
"properties": {
"assetName": "ClimbingMountRainier",
"created": "2018-08-08T18:29:32.4323237Z",
"endTime": "9999-12-31T23:59:59.9999999Z",
"streamingLocatorId": "e34b0fc4-3be0-4a3c-9793-1f6b7be5b013",
"streamingPolicyName": "clearStreamingPolicy",
"contentKeys": []
}
}Creates a Streaming Locator with secure streaming
Sample Request
PUT https://{{api-endpoint}}subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contosorg/providers/Microsoft.Media/mediaServices/contosomedia/streamingLocators/UserCreatedSecureStreamingLocator?api-version={{api-version}}
{
"properties": {
"streamingPolicyName": "UserCreatedSecureStreamingPolicy",
"assetName": "ClimbingMountRainier",
"startTime": "2018-03-01T00:00:00Z",
"endTime": "2028-12-31T23:59:59.9999999Z"
}
}Sample response
Status code: 201
{
"name": "UserCreatedSecureStreamingLocator",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contosorg/providers/Microsoft.Media/mediaservices/contosomedia/streamingLocators/UserCreatedSecureStreamingLocator",
"type": "Microsoft.Media/mediaservices/streamingLocators",
"properties": {
"assetName": "ClimbingMountRainier",
"created": "2018-08-08T18:29:32.6243295Z",
"startTime": "2018-03-01T00:00:00Z",
"endTime": "2028-12-31T23:59:59.9999999Z",
"streamingLocatorId": "262a87b6-b538-4657-bac1-b6897924471d",
"streamingPolicyName": "UserCreatedSecureStreamingPolicy",
"contentKeys": [
{
"id": "7f9e3a4c-2d8b-4e6f-91a3-c5b7d2f4e8a6",
"type": "CommonEncryptionCbcs",
"labelReferenceInStreamingPolicy": "cbcsDefaultKey",
"tracks": []
},
{
"id": "1a9858b1-3566-4bf1-9fee-60f2fb98e7e4",
"type": "CommonEncryptionCenc",
"labelReferenceInStreamingPolicy": "cencDefaultKey",
"tracks": []
},
{
"id": "5faac86a-3aca-4d6b-99c0-6bb8cc3497a1",
"type": "CommonEncryptionCbcs",
"labelReferenceInStreamingPolicy": "aesDefaultKey",
"tracks": []
}
]
}
}Creates a Streaming Locator with user defined content keys
Sample request
PUT https://{{api-endpoint}}/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contosorg/providers/Microsoft.Media/mediaServices/contosomedia/streamingLocators/UserCreatedSecureStreamingLocatorWithUserDefinedContentKeys?api-version={{api-version}}
{
"properties": {
"assetName": "ClimbingMountRainier",
"streamingPolicyName": "secureStreamingPolicy",
"streamingLocatorId": "90000000-0000-0000-0000-00000000000A",
"contentKeys": [
{
"labelReferenceInStreamingPolicy": "aesDefaultKey",
"id": "60000000-0000-0000-0000-000000000001",
"value": "1UqLohAfWsEGkULYxHjYZg=="
},
{
"labelReferenceInStreamingPolicy": "cencDefaultKey",
"id": "60000000-0000-0000-0000-000000000004",
"value": "4UqLohAfWsEGkULYxHjYZg=="
},
{
"labelReferenceInStreamingPolicy": "cbcsDefaultKey",
"id": "60000000-0000-0000-0000-000000000007",
"value": "7UqLohAfWsEGkULYxHjYZg=="
}
]
}
}
Sample response
Status code: 201
{
"name": "UserCreatedSecureStreamingLocatorWithUserDefinedContentKeys",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contosorg/providers/Microsoft.Media/mediaservices/contosomedia/streamingLocators/UserCreatedSecureStreamingLocatorWithUserDefinedContentKeys",
"type": "Microsoft.Media/mediaservices/streamingLocators",
"properties": {
"assetName": "ClimbingMountRainier",
"created": "2018-08-08T18:29:32.7859424Z",
"endTime": "9999-12-31T23:59:59.9999999Z",
"streamingLocatorId": "90000000-0000-0000-0000-00000000000a",
"streamingPolicyName": "secureStreamingPolicy",
"contentKeys": [
{
"id": "60000000-0000-0000-0000-000000000007",
"type": "CommonEncryptionCbcs",
"labelReferenceInStreamingPolicy": "cbcsDefaultKey",
"tracks": []
},
{
"id": "60000000-0000-0000-0000-000000000004",
"type": "CommonEncryptionCenc",
"labelReferenceInStreamingPolicy": "cencDefaultKey",
"tracks": []
},
{
"id": "60000000-0000-0000-0000-000000000001",
"type": "CommonEncryptionCbcs",
"labelReferenceInStreamingPolicy": "aesDefaultKey",
"tracks": []
}
]
}
}Definitions
| Name | Description |
|---|---|
| createdByType | The type of identity that created the resource. |
| ErrorAdditionalInfo | The resource management error additional info. |
| ErrorDetail | The error detail. |
| ErrorResponse | Error response. |
| StreamingLocator | A Streaming Locator resource. |
| StreamingLocatorContentKey | Class for content key in Streaming Locator. |
| StreamingLocatorContentKeyType | Encryption type of Content Key. |
| systemData | Metadata pertaining to creation and last modification of the resource. |
| TrackPropertyCompareOperation | Track property condition operation. |
| TrackPropertyCondition | Class to specify one track property condition. |
| TrackPropertyType | Track property type. |
| TrackSelection | Class to select a track |
createdByType
The type of identity that created the resource.
| Name | Type |
|---|---|
| Application | string |
| Key | string |
| ManagedIdentity | string |
| User | string |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info | object | The additional info. |
| type | string | The additional info type. |
ErrorDetail
| Name | Type | Description |
|---|---|---|
| additionalInfo | ErrorAdditionalInfo | The error additional info. |
| code | string | The error code. |
| details | ErrorDetail | The error details. |
| message | string | The error message. |
| target | string | The error target. |
ErrorResponse
| Name | Type | Description |
|---|---|---|
| error | ErrorDetail | The error object. |
StreamingLocator
A Streaming Locator resource
| Name | Type | Description |
|---|---|---|
| id | string |
Fully qualified resource ID for the resource. E.g.
|
| name | string | The name of the resource. |
| properties.alternativeMediaId | string | Alternative Media ID of this Streaming Locator. |
| properties.assetName | string | Asset Name. |
| properties.contentKeys | The ContentKeys used by this Streaming Locator. | |
| properties.created | string | The creation time of the Streaming Locator. |
|
properties.default ContentKeyPolicyName |
string | Name of the default ContentKeyPolicy used by this Streaming Locator. |
| properties.endTime | string | The end time of the Streaming Locator. |
| properties.filters | string | A list of asset or account filters which apply to this Streaming Locator. |
| properties.startTime | string | The start time of the Streaming Locator. |
| properties.streamingLocatorId | string | The StreamingLocatorId of the Streaming Locator. |
|
properties.streaming PolicyName |
string |
Name of the Streaming Policy used by this Streaming Locator. Specify the name of your Streaming Policy or use one of the predefined policies, such as:
|
| systemData | systemData | The system metadata relating to this resource. |
| type | string | The type of the resource. E.g., "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts". |
StreamingLocatorContentKey
Class for content key in Streaming Locator
| Name | Type | Description |
|---|---|---|
| id | string | ID of the content key |
| labelReferenceInStreamingPolicy | string | Label of the content key as specified in the streaming policy |
| policyName | string | The ContentKeyPolicy used by the content key |
| tracks | TrackSelection | Tracks that use this content key |
| type | StreamingLocatorContentKeyType | Encryption type of the content key |
| value | string | Value of the content key |
StreamingLocatorContentKeyType
Encryption type of Content Key
| Name | Type | Description |
|---|---|---|
| CommonEncryptionCbcs | string | Common encryption using CBCS |
| CommonEncryptionCenc | string | Common encryption using CENC |
systemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt | string | The timestamp of resource creation (UTC). |
| createdBy | string | The identity that created the resource. |
| createdByType | createdByType | The type of identity that created the resource. |
| lastModifiedAt | string | The timestamp of resource last modification (UTC). |
| lastModifiedBy | string | The identity that last modified the resource. |
| lastModifiedByType | createdByType | The type of identity that last modified the resource. |
TrackPropertyCompareOperation
Track property condition operation
| Name | Type | Description |
|---|---|---|
| Equal | string | Equal operation |
| Unknown | string | Unknown track property compare operation |
TrackPropertyCondition
Class to specify one track property condition
| Name | Type | Description |
|---|---|---|
| operation | TrackPropertyCompareOperation | Track property condition operation |
| property | TrackPropertyType | Track property type |
| value | string | Track property value |
TrackPropertyType
Track property type
| Name | Type | Description |
|---|---|---|
| FourCC | string | Track FourCC |
| Unknown | string | Unknown track property |
TrackSelection
Class to select a track
| Name | Type | Description |
|---|---|---|
| trackSelections | TrackPropertyCondition | Track selections is a list of track property conditions that can specify track(s). |